- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.LegacyGetSystemEventEntityTypesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#body.aspect_1)
- [LegacyApiEnumDescriptor](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#LegacyApiEnumDescriptor)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#LegacyApiEnumDescriptor.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacySoarSettings.legacyGetSystemEventEntityTypes

Returns a list of all entity types supported by the system for event processing and categorization.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySoarSettings:legacyGetSystemEventEntityTypes`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the system event entity types for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

Response message for LegacySoarSettingService.LegacyGetSystemEventEntityTypes.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#LegacyApiEnumDescriptor`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarSettings/legacyGetSystemEventEntityTypes#LegacyApiEnumDescriptor`)`` Output only. The system event entity types. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarSettings.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyApiEnumDescriptor

The api enum descriptor.

| JSON representation |
|---|
| ``` { "name": string, "value": integer } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The name. |
| `value` | `integer` Output only. The value. |